%global         momorel 2

Name:           perl-Statistics-Descriptive
Version:        3.0607
Release:        %{momorel}m%{?dist}
Summary:        Module of basic descriptive statistical functions
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Statistics-Descriptive/
Source0:        http://www.cpan.org/authors/id/S/SH/SHLOMIF/Statistics-Descriptive-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.006
BuildRequires:  perl-Carp
BuildRequires:  perl-lib
BuildRequires:  perl-List-MoreUtils
BuildRequires:  perl-List-Util
BuildRequires:  perl-Module-Build
BuildRequires:  perl-POSIX
BuildRequires:  perl-Test-Simple
Requires:       perl-Carp
Requires:       perl-List-MoreUtils
Requires:       perl-List-Util
Requires:       perl-POSIX
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module provides basic functions used in descriptive statistics. It has
an object oriented design and supports two different types of data storage
and calculation objects: sparse and full. With the sparse method, none of
the data is stored and only a few statistical measures are available. Using
the full method, the entire data set is retained and additional functions
are available.

%prep
%setup -q -n Statistics-Descriptive-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes examples README rejects UserSurvey.txt
%{perl_vendorlib}/Statistics/Descriptive.pm
%{perl_vendorlib}/Statistics/Descriptive
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0607-2m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0607-1m)
- update to 3.0607
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0605-2m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0605-1m)
- update to 3.0605
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0604-4m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0604-3m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0604-2m)
- rebuild against perl-5.16.1

* Sat Jul 14 2012 NARITA Koichi ,pulsar@momonga-linux.org>
- (3.0604-1m)
- update to 3.0604

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0603-1m)
- update to 3.0603
- rebuild against perl-5.16.0

* Sun Mar 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0400-1m)
- update to 3.0400

* Sat Mar 10 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0300-1m)
- update to 3.0300

* Fri Nov 18 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0203-1m)
- update to 3.0203

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0202-2m)
- rebuild against perl-5.14.2

* Sun Jul 24 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0202-1m)
- update to 3.0202

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0201-5m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0201-4m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.0201-3m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.0201-2m)
- rebuild for new GCC 4.5

* Fri Oct 15 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0201-1m)
- update to 3.0201

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0200-3m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0200-2m)
- full rebuild for mo7 release

* Fri Jun 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0200-1m)
- update to 3.0200

* Tue Jun 15 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0102-1m)
- update to 3.0102
- Specfile re-generated by cpanspec 1.78.

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0100-6m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0100-5m)
- rebuild against perl-5.12.0

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0100-4m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.0100-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0100-2m)
- rebuild against perl-5.10.1

* Wed Aug  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (3.0100-1m)
- update to 3.0100

* Sun May 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.8-1m)
- update to 2.8

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6-4m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6-3m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.6-2m)
- use vendor

* Fri Sep 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.6-1m)
- spec file was autogenerated
